Bug 1277793 - uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp [cloud_tenant/show] when clicked on tenant name
uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudRes...
Status: CLOSED DUPLICATE of bug 1275380
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Ladislav Smola
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 00:02 EST by Aziza Karol
Modified: 2015-11-11 15:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 08:47:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (79.98 KB, image/png)
2015-11-04 00:02 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-11-04 00:02:34 EST
Created attachment 1089368 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.9

How reproducible:
100%

Steps to Reproduce:
1.Add openstack cloud provider
2.Navigate to cloud->tenanats and click on tenant name
3.

Actual results:

uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp [cloud_tenant/show] displayed in UI. see attached screenshot

Expected results:
Tenant name should be displayed.

Additional info:
production.log
[----] I, [2015-11-03T23:59:18.735785 #2873:473998]  INFO -- :   Rendered cloud_tenant/show.html.haml within layouts/application (30.2ms)
[----] F, [2015-11-03T23:59:18.736005 #2873:473998] FATAL -- : Error caught: [NameError] uninitialized constant ManageIQ::Providers::Openstack::CloudManager::CloudResourceQuota::FloatingIp
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:38:in `floatingip_quota_used'
/var/www/miq/vmdb/app/models/manageiq/providers/openstack/cloud_manager/cloud_resource_quota.rb:33:in `floating_ips_quota_used'
/var/www/miq/vmdb/app/models/cloud_resource_quota.rb:11:in `used'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:54:in `textual_quotas'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `block in textual_group_quotas'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/relation/delegation.rb:46:in `collect'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/relation/delegation.rb:46:in `collect'
/var/www/miq/vmdb/app/helpers/cloud_tenant_helper/textual_summary.rb:15:in `textual_group_quotas'
/var/www/miq/vmdb/app/views/cloud_tenant/_main.html.haml:5:in `_app_views_cloud_tenant__main_html_haml___2249751912685921987_106088560'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/partial_renderer.rb:339:in `render_partial'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/partial_renderer.rb:310:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/partial_renderer.rb:309:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/cloud_tenant/show.html.haml:22:in `_app_views_cloud_tenant_show_html_haml___501079371202641909_85246580'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:145:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:333:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/template.rb:143:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/abstract_renderer.rb:39:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/abstract_renderer.rb:39:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/template_renderer.rb:53:in `block in render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/template_renderer.rb:61:in `render_with_layout'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/rendering.rb:100:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/rendering.rb:32:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/abstract_controller/rendering.rb:25:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/implicit_render.rb:10:in `default_render'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/implicit_render.rb:5:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 2 Ladislav Smola 2015-11-05 08:47:50 EST

*** This bug has been marked as a duplicate of bug 1275380 ***

Note You need to log in before you can comment on or make changes to this bug.